Skip to content

Commands Skills

Total endpoints: 12 Example base URL: https://<ROBOT_IP>/rest Required access for this section: USER

Cancel And Wait For Mission

  • Endpoint: /api/v2/commands/cancel_and_wait_for_mission/
  • Function: Execute the cancel_and_wait_for_mission command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_and_wait_for_mission/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_and_wait_for_mission/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "cancel_and_wait_for_mission",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Cancel Mission

  • Endpoint: /api/v2/commands/cancel_mission/
  • Function: Execute the cancel_mission command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_mission/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_mission/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "cancel_mission",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Cancel Missions And Wait For Cancelation

  • Endpoint: /api/v2/commands/cancel_missions_and_wait_for_cancelation/
  • Function: Execute the cancel_missions_and_wait_for_cancelation command through the v2 command bridge.
  • Method: POST
  • Parameters: none
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/cancel_missions_and_wait_for_cancelation/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/cancel_missions_and_wait_for_cancelation/"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "cancel_missions_and_wait_for_cancelation"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Available Priorities

  • Endpoint: /api/v2/commands/get_available_priorities/
  • Function: Execute the get_available_priorities command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_available_priorities/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_available_priorities/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_available_priorities"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Missions

  • Endpoint: /api/v2/commands/get_missions/
  • Function: Execute the get_missions command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_missions/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_missions/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_missions"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Get Skills

  • Endpoint: /api/v2/commands/get_skills/
  • Function: Execute the get_skills command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/get_skills/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/get_skills/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "get_skills"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Is Voice Trigger Activated

  • Endpoint: /api/v2/commands/is_voice_trigger_activated/
  • Function: Execute the is_voice_trigger_activated command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/is_voice_trigger_activated/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/is_voice_trigger_activated/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "is_voice_trigger_activated"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Resources Taken To Mission

  • Endpoint: /api/v2/commands/resources_taken_to_mission/
  • Function: Execute the resources_taken_to_mission command through the v2 command bridge.
  • Method: GET
  • Parameters: none
  • Shell Command:
curl -L "https://<ROBOT_IP>/rest/api/v2/commands/resources_taken_to_mission/" \
  -H "Authorization: Bearer <token>"
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/resources_taken_to_mission/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "resources_taken_to_mission"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Set Actions By Voice

  • Endpoint: /api/v2/commands/set_actions_by_voice/
  • Function: Execute the set_actions_by_voice command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, BoolValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/set_actions_by_voice/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": true}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/set_actions_by_voice/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': True}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "set_actions_by_voice",
    "value": true
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Skill

  • Endpoint: /api/v2/commands/skill/
  • Function: Execute the skill command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, DictValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/skill/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": {"key": "value"}}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/skill/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': {'key': 'value'}}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "skill",
    "value": {
      "key": "value"
    }
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Wait For Mission

  • Endpoint: /api/v2/commands/wait_for_mission/
  • Function: Execute the wait_for_mission command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/wait_for_mission/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/wait_for_mission/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "wait_for_mission",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.

Wait For Mission Started

  • Endpoint: /api/v2/commands/wait_for_mission_started/
  • Function: Execute the wait_for_mission_started command through the v2 command bridge.
  • Method: POST
  • Parameters:
  • payload (body, StrValuePayload)
  • Shell Command:
curl -X POST "https://<ROBOT_IP>/rest/api/v2/commands/wait_for_mission_started/" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{"value": "example"}'
  • Python Command:
import requests

url = "https://<ROBOT_IP>/rest/api/v2/commands/wait_for_mission_started/"
headers = {"Authorization": "Bearer <token>"}
json_payload = {'value': 'example'}
response = requests.post(url, headers=headers, json=json_payload, timeout=10)

print(response.status_code)
print(response.json())
  • Response Example (200):
{
  "command": {
    "command": "wait_for_mission_started",
    "value": "example"
  },
  "result": "value"
}

Note: Payload depends on the executed command.